Problèmes pour débuter avec jEdit/LilyPondTool

classic Classique list Liste threaded Arborescence
2 messages Options
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|

Problèmes pour débuter avec jEdit/LilyPondTool

vvillenave
Administrateur
Bonjour tout le monde,
bonjour Aline et bienvenue sur la liste !

ce message fait suite à une discussion dans les commentaires de mon
site personnel:
http://valentin.villenave.info/Tutoriel-no0-pour-LilyPond#forum557

> Toujours pas de partition après avoir fait tout ce que vous recommandiez.
> Voici ce que dit la console :

>Ceci est une console destinée à exécuter les commandes LilyPond. Tapez
%help pour voir les commandes disponibles. > %lilypond %args «
/home/vanroy/Bureau/exemple.ly » Fontconfig error : Cannot load default
config file
> [...]
> Pango-CRITICAL ** : No modules found :
No builtin or dynamically loaded modules were found. PangoFc will not work
correctly. This probably means there was an error in the creation of :
'/usr/etc/pango/pango.modules' You should create this file by running :
pango-querymodules > '/usr/etc/pango/pango.modules'
> (process:5296) : Pango-WARNING ** : failed to choose a font, expect ugly
output. engine-type='PangoRenderFc', script='common'
> (process:5296) : Pango-CRITICAL ** : pango_fc_font_lock_face : assertion
`PANGO_IS_FC_FONT (font)' failed Durée totale du traitement : 3 secondes

Intéressant.

Êtes-vous sûre d'avoir installé la version de LilyPond adaptée à votre
système d'exploitation ? Au début du tutoriel, j'indique une solution
pour vérifier si le système est de type "i686" ou "x86_64". Ce type de
message indique en général que vous n'avez pas installé la bonne
version.

Pour désinstaller la version que vous avez installée manuellement, il
vous suffit d'ouvrir un terminal et de saisir :

sudo uninstall-lilypond

Après quoi vous aurez le choix entre vous contenter de la version de
synaptic, relativement ancienne, ou bien télécharger et installer la
nouvelle version "de développement", c'est-à-dire la 2.13.40 qui est
sortie tout juste ce matin !
http://lilypond.org/web/install/

Si vous êtes sûre d'avoir installé la bonne version, alors peut-être
la solution est-elle de suivre simplement les indications données par
le message d'erreur ci-dessus, et de saisir:

sudo pango-querymodules > /usr/etc/pango/pango.modules

Mais encore une fois, ce type de messages d'erreur indique en général
un problème de compatibilité dans l'architecture choisie, aussi je
crois vraiment que c'est là qu'il faut chercher.

Bon courage !

V. Villenave.


_______________________________________________
liste de diffusion lilypond-user-fr
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr
Répondre | Arborescence
Ouvrir ce message en vue arborescente
|

Re: Problèmes pour débuter avec jEdit/LilyPondTool

vvillenave
Administrateur
2010/11/21 Aline Vanroy <[hidden email]>:
> Bonsoir Valentin,

Bonsoir,
Si vous souhaitez que nos contributeurs de la liste LilyPond partagent
vos discussions, n'oubliez pas de cliquer sur "Répondre à tous", cela
ne vous donnera que plus de chances de tomber sur quelqu'un qui saura
résoudre vos problèmes !

> Alors voilà,
>
> mon système étant bien de type i686, j'avais téléchargé la version lilypond
> 2.12.3-1.linux-x86.sh ( donc je ne me suis pas trompée ???)
>
> Bref, j'ai désinstallé lilypond, et j'ai réinstallé la nouvelle version à
> savoir lilypond 2.13.40-1.linux-x86.sh
>
> et là miracle la partition est générée.

Le mystère reste entier, si je comprends bien ; mais l'essentiel est
que votre problème soit résolu.

En attendant, votre mésaventure m'a conduit à suggérer un patch
(http://codereview.appspot.com/3235042/) pour favoriser la détection
automatique d'architecture à l'avenir ; avec un peu de chance ce genre
de questions ne se posera bientôt plus !

> Il ne me reste plus maintenant qu'à apprendre à me servir de lilypond grâce
> à vos tutoriels.

Mes quelques tutoriels ne sont qu'une entrée en matière, notre
tutoriel officiel est beaucoup plus complet !
http://lilypond.org/doc/v2.13/Documentation/learning/tutorial.fr.html

Bon courage à vous (il vous en faudra quelque peu au début, mais vous
ne le regretterez pas). N'oubliez pas que la liste de discussion est
là pour vous aider !

Cordialement,
V. Villenave.


_______________________________________________
liste de diffusion lilypond-user-fr
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr